Chapter 17. Installation Parameters
Prev | Part III. Lire Reference | Next

## Chapter 17. Installation Parameters

This chapter describes the various configuration variables that can be set when installing Lire. These can be set using options to ./configure or by setting environment variables.

## ./configure parameters

`--prefix`

  This option specifies where Lire will be installed.

  Defaults to `/usr/local`.

`--bindir`

  This option specifies where Lire's executables intended for users will be installed.

  Defaults to ``${prefix}`/bin`.

`--sysconfdir`

  This option specifies where Lire's configuration files will be installed. (Actually, they will be installed in a subdirectory named `lire`.)

  Defaults to ``${prefix}`/etc`.

`--libexecdir`

  This option specifies where Lire's internal executables and scripts will be installed. (Actually, they will be installed in a subdirectory of this one named `lire`.)

  Defaults to ``${prefix}`/libexec`.

`--sharedstatedir`

  This option specifies where Lire's data files will be installed. (Actually, they will be installed in a subdirectory of this one named `lire`.)

  Defaults to ``${prefix}`/share`.

`--mandir`

  This option specifies where Lire's man pages will be installed.

  Defaults to ``${prefix}`/man`.

`--with-perl5libdir`

  This option specifies where Lire's perl modules will be installed.

  Defaults to ``${prefix}`/share/perl5`.

`--with-spooldir`

  This option specifies the default value of `lr_spool_dir` which is the spool directory used by the responder. Unless you're running your own responder this variable is not relevant.

`--with-archivedir`

  When you're archiving your reports and logs using the archive feature this sets the default value of `lr_archive_dir`.

Prev | Up | Next
Part III. Lire Reference | Home | Installation Environment Variables